Bug 40408 - [Windows RT] On Appearing not run for Tabbed Page and Master Detail Page
Summary: [Windows RT] On Appearing not run for Tabbed Page and Master Detail Page
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.1.0
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-04-14 19:51 UTC by Matthew
Modified: 2016-12-01 12:55 UTC (History)
4 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Reproduction of stated issue (683.93 KB, application/x-zip-compressed)
2016-04-14 19:51 UTC, Matthew
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Matthew 2016-04-14 19:51:10 UTC
Created attachment 15727 [details]
Reproduction of stated issue

The Appearing event (and OnAppearing) does not fire for a Tabbed Page or Master Detail page if that page has previously been displayed. The event only fires the first time the page is displayed. Content Page will fire correctly each time the page is displayed.

Attached is a reproduction that displays an Alert as part of the Appearing Event. On the root page a button that loads Content Page, Tabbed Page and Master Detail Page. Each time the Content Page appears the alert is shown, but only the first time the Tabbed Page is shown does this happen.
Comment 1 Samantha Houts [MSFT] 2016-10-11 16:58:33 UTC
Should be fixed in 2.3.4-pre1. Thank you!
Comment 2 Parmendra Kumar 2016-12-01 12:55:34 UTC
I have checked this issue with Xamarin.Forms 2.3.4-pre1 and observed that this issue has been fixed.

Hence closing this issue.